import { mount } from 'cypress/react';
import Form from './form';
import Modal from './component/Modal';
import Select from './component/select';
import Button from './component/button';

describe('Form', () => {
  it('renders input fields', () => {
    cy.mount(<Form />);
    cy.get('label[for="name"]').should('exist');
    cy.get('input#name').should('exist');
    cy.get('input[placeholder="Enter your name"]').should('exist');
  
  });
  it('shows validation messages', () => {
    cy.mount(<Form />);
    cy.get('button[type="submit"]').click();
    cy.contains('Name is required').should('exist');
     });
});

describe('Dropdown',()=>{
  it('renders select options', () => {
      cy.mount(<Form />);
      cy.get('select').should('exist');
      cy.get('option[value="cpp"]').should('exist');
      cy.get('option[value="java"]').should('exist');
      cy.get('option[value="python"]').should('exist');
    });
   it('select option behavior', () => {
   cy.mount(<Form />);
    cy.get('select').select('java');
    cy.get('p').contains('Selected: java').should('exist');
  }); 
  it("dropdown validation",()=>{
    cy.mount(<Form />);
    cy.get('input#name').type('verjot');
    cy.get('button[type="submit"]').click();
    cy.contains('Option is required').should('exist');
  })
})
describe('Model and Button',()=>{
  it('Button render and label',()=>{
    mount(<Form />);
    cy.get('button').contains('Submit Button').should('exist');
  })
  it('opens,closes modal and button', () => {
      cy.mount(<Form />);
      
      cy.get('input#name').type('verjot');
      cy.get('select').select('Python')
      cy.get('button[type="submit"]').click();
      cy.get('.modal').should('exist');
      cy.get('p').contains('Name: verjot').should('exist');
      cy.get('p').contains('Select Course : python').should('exist');
      cy.get('.close').click();
      cy.get('.modal').should('not.exist');
    });
})






